slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDCrossSetExplicitMatrix

Indicate if the eigensolver operator A^T*A must be computed explicitly.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDCrossSetExplicitMatrix(SVD svd,PetscBool explicitmat)

Logically Collective

### Input Parameters

| svd | - singular value solver
| explicitmat | - boolean flag indicating if A^T*A is built explicitly

### Options Database Key

| -svd_cross_explicitmatrix <boolean> | - Indicates the boolean flag

### See Also

SVDCrossGetExplicitMatrix()

### Level

advanced

### Location

src/svd/impls/cross/cross.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages